# Stops

## List all stops

<mark style="color:blue;">`GET`</mark> `https://app.gem-books.com/api/stops`

This endpoint allows you to get the list of your stops. \
The stops are returned sorted by date and time, with the most recent appearing first.

#### Query Parameters

| Name         | Type   | Description                                   |
| ------------ | ------ | --------------------------------------------- |
| geotabUserId | string | Filter by the GeoTab user linked to the stop. |

#### Headers

| Name             | Type   | Description                   |
| ---------------- | ------ | ----------------------------- |
| Authentification | string | Bearer token.                 |
| Accept           | string | Should be `application/json`. |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "id": 21,
            "name": "",
            "reference": "",
            "address": "275 Rue Paradis",
            "adresse2": "",
            "city": "Repentigny",
            "state": "QC",
            "zip": "J6A 8H2",
            "contact_name": "",
            "contact_tel": "",
            "contact_fax": "",
            "contact_email": "",
            "stop_type": "Destination",
            "date": "2020-08-13",
            "time": "",
            "hours": "",
            "broker": "",
            "note_imp": "",
            "note": "",
            "note_booking": "",
            "geotabUserId": "a2"
        },
        {
            "id": 20,
            "name": "",
            "reference": "",
            "address": "197 Rue Sainte Thérèse",
            "adresse2": "",
            "city": "Charlemagne",
            "state": "QC",
            "zip": "J5Z 1B7",
            "contact_name": "",
            "contact_tel": "",
            "contact_fax": "",
            "contact_email": "",
            "stop_type": "Origin",
            "date": "2020-08-12",
            "time": "",
            "hours": "",
            "broker": "",
            "note_imp": "",
            "note": "",
            "note_booking": "",
            "geotabUserId": "a2"
        }
    ],
    "meta": {
        "current_page": 1,
        "last_page": 1,
        "per_page": 25,
        "total": 2
    },
    "success": true
}
```

{% endtab %}
{% endtabs %}

## Retrieve a stop

<mark style="color:blue;">`GET`</mark> `https://app.gem-books.com/api/stops/:id`

This endpoint allows you to retrieve a specific stop.

#### Path Parameters

| Name | Type    | Description |
| ---- | ------- | ----------- |
| id   | integer | Stop ID.    |

#### Headers

| Name             | Type   | Description                   |
| ---------------- | ------ | ----------------------------- |
| Authentification | string | Bearer token.                 |
| Accept           | string | Should be `application/json`. |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "id": 21,
        "name": "",
        "reference": "",
        "address": "275 Rue Paradis",
        "adresse2": "",
        "city": "Repentigny",
        "state": "QC",
        "zip": "J6A 8H2",
        "contact_name": "",
        "contact_tel": "",
        "contact_fax": "",
        "contact_email": "",
        "stop_type": "Destination",
        "date": "2020-08-13",
        "time": "",
        "hours": "",
        "broker": "",
        "note_imp": "",
        "note": "",
        "note_booking": "",
        "geotabUserId": "a2"
    },
    "success": true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gem-suite.com/api-reference/resources/bookings/waypoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
